Subject: Re: [SWIPL] Prolog database bug?

From: "Nick Fedorov" <[email-masked]>
Date: Tue, 2 Oct 2001 11:39:36 +0400

Hello!
I found errore in my program. I forgot that

    par1 o par2 o par3        % o - operator
    and
    par1 o par2 o par3

might be different clauses (this is realy not obvious).
I lost one cut predicate.

Sorry!
Thanks for your response.

Given below absolutely wrong !!!

> On Sun, 30 Sep 2001, Nick Fedorov wrote:
> >Hi.
> >
> >The problem:
> >
> >?- my_program.
> >
> >    ...
> >    Call: (585) goal(param1, _G46697) ? creep
> >    Exit: (585) goal(param1, param2) ? creep
> >    ...
> >    Call: (585) goal(param1, _G46697) ? creep
> >    Exit: (585) goal(param1, param2) ? creep
> >    ...
> >    Call: (585) goal(param1, _G46697) ? creep
> >    Fail: (585) goal(param1, _G46697) ? creep            !!!!!!!!!!!
> >^  Call: (585) asserta(goal(param1, param2) ? abort
> >% Execution Aborted
> >?- listing(goal).
> >
> >:- dynamic goal/2.
> >
> >goal(param1, param2).
> >
> >Yes
> >-----------------------------------------------------
> >Why?